# remirepo/fedora spec file for xlsxio
#
# Copyright (c) 2019 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#

%global gh_commit   b2b39b91c5005b4edc78ff8145226338aaea1c2c
%global gh_short    %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner    brechtsanders
%global gh_project  xlsxio
%global libname     lib%{gh_project}

Name:          %{gh_project}
Summary:       XLSX tools from %{libname}
Version:       0.2.21
Release:       1%{?dist}
License:       MIT

URL:           https://github.com/%{gh_owner}/%{gh_project}/
Source0:       https://github.com/%{gh_owner}/%{gh_project}/archive/%{gh_commit}/%{gh_project}-%{version}-%{gh_short}.tar.gz

Patch0:        https://patch-diff.githubusercontent.com/raw/brechtsanders/xlsxio/pull/53.patch

BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: cmake >= 2.6
BuildRequires: zlib-devel
BuildRequires: libzip-devel
BuildRequires: expat-devel
BuildRequires: doxygen

Requires:      %{libname}%{?_isa} = %{version}-%{release}


%description
This package provides XLSX commands using %{libname}:
- xlsxio_csv2xlsx
- xlsxio_xlsx2csv


%package -n %{libname}
Summary:    C library for reading values from and writing values to .xlsx files
Group:      Development/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description -n %{libname}
XLSX I/O aims to provide a C library for reading and writing .xlsx files.
The .xlsx file format is the native format used by Microsoft(R) Excel(TM)
since version 2007.


%package -n %{libname}-devel
Summary:    Header files and development libraries for %{name}
Group:      Development/Libraries
Requires:   %{libname}%{?_isa} = %{version}-%{release}

%description -n %{libname}-devel

This package contains the header files and development libraries
for %{libname}.


%prep
%setup -q -n %{gh_project}-%{gh_commit}
%patch0 -p1

# Fix installation layout
sed -e '/LIBRARY DESTINATION/s/lib/%{_lib}/' \
    -e 's/DESTINATION \./DESTINATION share/' \
    -i CMakeLists.txt


%build
# TODO: WITH_WIDE requires expatw

%cmake \
  -DWITH_LIBZIP:BOOL=ON \
  -DBUILD_STATIC:BOOL=OFF \
  -DBUILD_EXAMPLES:BOOL=OFF  \
  -DWITH_WIDE:BOOL=OFF \
  .

make %{_smp_mflags}


%install
make install DESTDIR="%{buildroot}"

# Clean with old cmake version
rm -rf %{buildroot}%{_mandir}/man3/_builddir_*


%if 0%{?fedora} < 28 && 0%{?rhel} < 8
%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%endif


%files
%{_bindir}/%{gh_project}*


%files -n %{libname}
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%{_libdir}/%{libname}_*.so


%files  -n %{libname}-devel
%doc *.md
%doc examples
%{_includedir}/xls*
%{_mandir}/man3/%{gh_project}*


%changelog
* Mon Sep 16 2019 Remi Collet <remi@remirepo.net> - 0.2.21-1
- initial package
- add patch for -Werror=format-security from
  https://github.com/brechtsanders/xlsxio/pull/53
